.why_buy__heading {
  text-align: center;
}

.reasons-grid {
  display: grid;
  gap: 2rem;
  row-gap: .5rem;
  margin: 0 auto;
  justify-items: center;
}

/* Desktop Grid */
@media (min-width: 1024px) {
  .reasons-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* Tablet Grid */
@media (min-width: 768px) and (max-width: 1023px) {
  .reasons-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Mobile Grid */
@media (max-width: 767px) {
  .reasons-grid {
    grid-template-columns: 1fr;
    padding-inline: calc(4 * var(--sp-content-spacing));
  }
}

.reason-card {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 4;
  overflow: hidden;

}

.reason-card__inner {
  display: contents;
  text-align: center;
}

.reason-card__image {
  grid-row: 1;
  aspect-ratio: 1;
  overflow: hidden;
  position: relative;
  margin-inline: auto;
  max-width: 272px;
}

.reason-card__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

h3.reason-card__title {
  grid-row: 2;
  margin: 0 1rem;
  font-size: 2rem;
  font-weight: 400;
  line-height: normal;
  color: #000;
  text-align: center;
}

@media (max-width: 767px) {
  h3.reason-card__title {
    margin: 0 1rem;
    font-size: 1.5rem;
  }
}

@supports not (grid-template-rows: subgrid) {
  .reason-card {
    display: flex;
    flex-direction: column;
  }

  .reason-card__inner {
    display: flex;
    flex-direction: column;
    height: 100%;
  }

  .reason-card__image {
    flex-shrink: 0;
  }

  .reason-card__title {
    flex-grow: 0;
  }
}
